Bug 98673 - kalzium: please bring back molecular weight calculator
Summary: kalzium: please bring back molecular weight calculator
Status: RESOLVED FIXED
Alias: None
Product: kalzium
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Carsten Niehaus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-06 06:39 UTC by Ben Burton
Modified: 2005-08-17 12:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Burton 2005-02-06 06:39:43 UTC
Version:            (using KDE KDE 3.3.2)

(Received through the debian BTS as #287796).

Hi.  A debian user has noted that the molecular calculator seems to have been dropped from kalzium as of KDE 3.3.x.  I've had a look and AFAICT this indeed seems to be the case.

The user is requesting that it be restored to kalzium.  Is this possible, or is there a specific reason that it was removed?

Thanks - Ben.
Comment 1 Carsten Niehaus 2005-02-06 10:33:49 UTC
This is being work on. It will be added to Kalzium in KDE 4. I might even create a stand-alone version of kalzium in July.
Comment 2 Carsten Niehaus 2005-05-17 20:19:40 UTC
Ok, it is now in subversion, will be in KDE 3.5. You can click on an element and it will be added to the molecule. Could you have a look at it and tell me what you think about it?
Comment 3 Carsten Niehaus 2005-05-31 22:38:56 UTC
This has been added some weeks ago. This is not the same as the old calculator but you can easily calculate the weight of a molecule with the new style as well. I hope the add everything back for KDE4.
Comment 4 Carsten Niehaus 2005-08-17 12:08:25 UTC
Even better: I just commited to code so that you can really *enter* a formula. H2CO3 will be parsed just like it did in the old versions of Kalzium :)